/**
 * Sets the Windows clipboard to the given string or PNG-image.
 *
 * @this {WindowsDriver}
 * @param {string} b64Content base64-encoded clipboard content to set
 * @param {ContentTypeEnum} [contentType='text'] The clipboard content type to set
 */
export function windowsSetClipboard(this: import("../driver").WindowsDriver, b64Content: string, contentType?: ContentTypeEnum): Promise<import("teen_process").TeenProcessExecResult<string>>;
/**
 * Returns the Windows clipboard content as base64-encoded string.
 *
 * @this {WindowsDriver}
 * @property {ContentTypeEnum} [contentType='plaintext'] The clipboard content type to get.
 * Only PNG images are supported for extraction if set to 'image'.
 * @returns {Promise<string>} base64-encoded content of the clipboard
 */
export function windowsGetClipboard(this: import("../driver").WindowsDriver, contentType?: ContentTypeEnum): Promise<string>;
export type ContentTypeEnum = "plaintext" | "image";
export type WindowsDriver = import("../driver").WindowsDriver;
//# sourceMappingURL=clipboard.d.ts.map