/**
 *
 * @this {WindowsDriver}
 * @param {string} remotePath
 * @param {string} base64Data
 * @returns {Promise<void>}
 */
export function pushFile(this: import("../driver").WindowsDriver, remotePath: string, base64Data: string): Promise<void>;
/**
 *
 * @this {WindowsDriver}
 * @param {string} remotePath
 * @returns {Promise<string>}
 */
export function pullFile(this: import("../driver").WindowsDriver, remotePath: string): Promise<string>;
/**
 *
 * @this {WindowsDriver}
 * @param {string} remotePath
 * @returns {Promise<string>}
 */
export function pullFolder(this: import("../driver").WindowsDriver, remotePath: string): Promise<string>;
/**
 * Remove the file from the file system
 *
 * @this {WindowsDriver}
 * @param {string} remotePath - The path to a file.
 * The path may contain environment variables that could be expanded on the server side.
 * Due to security reasons only variables listed below would be expanded: `APPDATA`,
 * `LOCALAPPDATA`, `PROGRAMFILES`, `PROGRAMFILES(X86)`, `PROGRAMDATA`, `ALLUSERSPROFILE`,
 * `TEMP`, `TMP`, `HOMEPATH`, `USERPROFILE`, `PUBLIC`.
 * @throws {InvalidArgumentError} If the file to be deleted does not exist or
 * remote path is not an absolute path.
 */
export function windowsDeleteFile(this: import("../driver").WindowsDriver, remotePath: string): Promise<void>;
/**
 * Remove the folder from the file system
 *
 * @this {WindowsDriver}
 * @param {string} remotePath - The path to a folder.
 * The path may contain environment variables that could be expanded on the server side.
 * Due to security reasons only variables listed below would be expanded: `APPDATA`,
 * `LOCALAPPDATA`, `PROGRAMFILES`, `PROGRAMFILES(X86)`, `PROGRAMDATA`, `ALLUSERSPROFILE`,
 * `TEMP`, `TMP`, `HOMEPATH`, `USERPROFILE`, `PUBLIC`.
 * @throws {InvalidArgumentError} If the folder to be deleted does not exist or
 * remote path is not an absolute path.
 */
export function windowsDeleteFolder(this: import("../driver").WindowsDriver, remotePath: string): Promise<void>;
export type WindowsDriver = import("../driver").WindowsDriver;
//# sourceMappingURL=file-movement.d.ts.map