/**
 * @this {WindowsDriver}
 * @returns {Promise<Size>}
 */
export function getWindowSize(this: import("../driver").WindowsDriver): Promise<Size>;
/**
 * @this {WindowsDriver}
 * @returns {Promise<import('@appium/types').Rect>}
 */
export function getWindowRect(this: import("../driver").WindowsDriver): Promise<import("@appium/types").Rect>;
/**
 * @this {WindowsDriver}
 * @param {number} x
 * @param {number} y
 * @param {number} width
 * @param {number} height
 * @returns {Promise<import('@appium/types').Rect>}
 */
export function setWindowRect(this: import("../driver").WindowsDriver, x: number, y: number, width: number, height: number): Promise<import("@appium/types").Rect>;
/**
 * @this {WindowsDriver}
 * @returns {Promise<string>}
 */
export function getScreenshot(this: import("../driver").WindowsDriver): Promise<string>;
/**
 *
 * @this {WindowsDriver}
 * @param {string} el
 * @returns {Promise<import('@appium/types').Rect>}
 */
export function getElementRect(this: import("../driver").WindowsDriver, el: string): Promise<import("@appium/types").Rect>;
export type Size = {
    width: number;
    height: number;
};
export type WindowsDriver = import("../driver").WindowsDriver;
//# sourceMappingURL=general.d.ts.map