export declare const executeMethodMap: {
    readonly 'windows: startRecordingScreen': {
        readonly command: "windowsStartRecordingScreen";
        readonly params: {
            readonly optional: readonly ["timeLimit", "videoFilter", "fps", "preset", "captureCursor", "captureClicks", "audioInput", "forceRestart"];
        };
    };
    readonly 'windows: stopRecordingScreen': {
        readonly command: "windowsStopRecordingScreen";
        readonly params: {
            readonly optional: readonly ["remotePath", "user", "pass", "method", "headers", "fileFieldName", "formFields"];
        };
    };
    readonly 'windows: launchApp': {
        readonly command: "windowsLaunchApp";
    };
    readonly 'windows: closeApp': {
        readonly command: "windowsCloseApp";
    };
    readonly 'windows: deleteFolder': {
        readonly command: "windowsDeleteFolder";
        readonly params: {
            readonly required: readonly ["remotePath"];
        };
    };
    readonly 'windows: deleteFile': {
        readonly command: "windowsDeleteFile";
        readonly params: {
            readonly required: readonly ["remotePath"];
        };
    };
    readonly 'windows: click': {
        readonly command: "windowsClick";
        readonly params: {
            readonly optional: readonly ["elementId", "x", "y", "button", "modifierKeys", "durationMs", "times", "interClickDelayMs"];
        };
    };
    readonly 'windows: scroll': {
        readonly command: "windowsScroll";
        readonly params: {
            readonly optional: readonly ["elementId", "x", "y", "deltaX", "deltaY", "modifierKeys"];
        };
    };
    readonly 'windows: clickAndDrag': {
        readonly command: "windowsClickAndDrag";
        readonly params: {
            readonly optional: readonly ["startElementId", "startX", "startY", "endElementId", "endX", "endY", "modifierKeys", "durationMs"];
        };
    };
    readonly 'windows: hover': {
        readonly command: "windowsHover";
        readonly params: {
            readonly optional: readonly ["startElementId", "startX", "startY", "endElementId", "endX", "endY", "modifierKeys", "durationMs"];
        };
    };
    readonly 'windows: keys': {
        readonly command: "windowsKeys";
        readonly params: {
            readonly required: readonly ["actions"];
        };
    };
    readonly 'windows: setClipboard': {
        readonly command: "windowsSetClipboard";
        readonly params: {
            readonly required: readonly ["b64Content"];
            readonly optional: readonly ["contentType"];
        };
    };
    readonly 'windows: getClipboard': {
        readonly command: "windowsGetClipboard";
        readonly params: {
            readonly optional: readonly ["contentType"];
        };
    };
};
//# sourceMappingURL=execute-method-map.d.ts.map