/**
 * This API triggers UAC when necessary
 * unlike the 'spawn' call used by teen_process's exec.
 * See https://github.com/nodejs/node-v0.x-archive/issues/6797
 *
 * @param {string} cmd
 * @param {string[]} args
 * @param {import('node:child_process').ExecOptions & {timeoutMs?: number}} opts
 * @returns {Promise<{stdout: string; stderr: string;}>}
 * @throws {import('node:child_process').ExecException}
 */
export function shellExec(cmd: string, args?: string[], opts?: import("node:child_process").ExecOptions & {
    timeoutMs?: number;
}): Promise<{
    stdout: string;
    stderr: string;
}>;
/**
 *
 * @param {string} srcUrl
 * @param {string} dstPath
 * @returns {Promise<void>}
 */
export function downloadToFile(srcUrl: string, dstPath: string): Promise<void>;
//# sourceMappingURL=utils.d.ts.map