export class WinAppDriver {
    /**
     *
     * @param {import('@appium/types').AppiumLogger} log
     * @param {WinAppDriverOptions} opts
     */
    constructor(log: import("@appium/types").AppiumLogger, opts: WinAppDriverOptions);
    log: import("@appium/types").AppiumLogger;
    opts: WinAppDriverOptions;
    process: WADProcess | null;
    proxy: WADProxy | null;
    /**
     * @param {WindowsDriverCaps} caps
     */
    start(caps: WindowsDriverCaps): Promise<void>;
    /**
     * @param {boolean} isForceQuitEnabled
     * @returns {Promise<void>}
     */
    _prepareSessionWithBuiltInServer(isForceQuitEnabled: boolean): Promise<void>;
    /**
     *
     * @param {string} url
     * @returns {Promise<void>}
     */
    _prepareSessionWithCustomServer(url: string): Promise<void>;
    /**
     * @param {WindowsDriverCaps} caps
     */
    _startSession(caps: WindowsDriverCaps): Promise<void>;
    stop(): Promise<void>;
    sendCommand(url: any, method: any, body: any): Promise<any>;
}
export default WinAppDriver;
export type WinAppDriverOptions = {
    port?: number | undefined;
    reqBasePath?: string | undefined;
    url?: string | undefined;
};
export type WADProcessOptions = {
    base: string;
    port?: number | undefined;
    executablePath: string;
    isForceQuitEnabled: boolean;
};
export type WindowsDriverCaps = import("@appium/types").DriverCaps<import("./driver").WindowsDriverConstraints>;
declare class WADProcess {
    /**
     *
     * @param {import('@appium/types').AppiumLogger} log
     * @param {WADProcessOptions} opts
     */
    constructor(log: import("@appium/types").AppiumLogger, opts: WADProcessOptions);
    log: import("@appium/types").AppiumLogger;
    base: string;
    port: number | undefined;
    executablePath: string;
    proc: SubProcess | null;
    isForceQuitEnabled: boolean;
    get isRunning(): boolean;
    start(): Promise<void>;
    stop(): Promise<void>;
}
declare class WADProxy extends JWProxy {
    /** @type {boolean|undefined} */
    didProcessExit: boolean | undefined;
    /**
     * @override
     */
    override proxyCommand(url: any, method: any, body?: null): Promise<[import("@appium/types").ProxyResponse<any>, any]>;
}
import { SubProcess } from 'teen_process';
import { JWProxy } from 'appium/driver';
//# sourceMappingURL=winappdriver.d.ts.map